Subject: bug#28897: 25.2.50; Document significance of package-archive-priorities

From: Allen Li <[email-masked]>
Date: Wed, 18 Oct 2017 16:47:24 -0700

The significance of the priorities for package-archive-priorities is
not documented properly in the docstring for
package-archive-priorities.

A few things come to mind:

1. The archive priority is prepended to the package version when
checking for updates.  This is alluded to in the docstring, but not
stated explicitly.
2. Already installed packages have priority 0.  This is especially
important for archives with negative priorities.  Setting an archive
to a negative priority means that packages from that archive will not
be considered for upgrading (since the currently installed package has
priority 0 and will always be "higher"/"newer".

In GNU Emacs 25.2.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8),
modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description: Ubuntu 14.04 LTS